Package: groovy.org.codenarc.rule.concurrency

## [Groovy] Class SynchronizedOnGetClassRule

- groovy.org.codenarc.rule.concurrency.SynchronizedOnGetClassRule

- Synchronized on getClass rather than class literal. This instance method synchronizes on this.getClass(). If this class is subclassed, subclasses will synchronize on the class object for the subclass, which isn't likely what was intended.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority